org.apache.ignite.internal.processors.platform.client.cluster

## Class ClientClusterGroupGetNodesDetailsResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse
  - - org.apache.ignite.internal.processors.platform.client.ClientResponse
    - - org.apache.ignite.internal.processors.platform.client.cluster.ClientClusterGroupGetNodesDetailsResponse

All Implemented Interfaces:
  ClientOutgoingMessage

    public class ClientClusterGroupGetNodesDetailsResponse
    extends ClientResponse

Cluster group get nodes details response.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`ClientClusterGroupGetNodesDetailsResponse(long reqId, Collection<ClusterNode> nodes)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `encode(ClientConnectionContext ctx, BinaryRawWriterEx writer)` Encodes the response data.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientResponse

`encode, requestId`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`error, error, onSent, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientClusterGroupGetNodesDetailsResponse

    public ClientClusterGroupGetNodesDetailsResponse(long reqId,
                                                     Collection<ClusterNode> nodes)

Constructor.

Parameters:
  `reqId` - Request identifier.

### Method Detail

#### encode

    public void encode(ClientConnectionContext ctx,
                       BinaryRawWriterEx writer)

Encodes the response data.

Specified by:
  `encode` in interface `ClientOutgoingMessage`
Overrides:
  `encode` in class `ClientResponse`
Parameters:
  `ctx` - Connection context.
  `writer` - Writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023